complexType "PortfolioValuationItem"

Namespace: | http://www.fpml.org/FpML-5/recordkeeping
Content: | complex, 3 elements
Defined: | globally in fpml-valuation-reporting-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 2 locations

Content Model Diagram

XML Representation Summary
<...>
Content: | portfolio?, tradeValuationItem*, valuationSet?
</...>

Content Model Elements (3):

  portfolio,
  tradeValuationItem (defined in PortfolioValuationItem complexType),
  valuationSet

All Direct / Indirect Based Elements (2):

  portfolioValuationItem (in requestValuationReport), | portfolioValuationItem (in valuationReport)

Known Usage Locations

- As direct type of elements (2):

  portfolioValuationItem (in requestValuationReport), | portfolioValuationItem (in valuationReport)

Annotation
A type used in valuation enquiry messages which relates a portfolio to its trades and current value.
XML Source (w/o annotations (4); see within schema source)

<xsd:complexType name="PortfolioValuationItem"> <xsd:sequence> <xsd:element minOccurs="0" ref="portfolio"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/> <xsd:element minOccurs="0" ref="valuationSet"/> </xsd:sequence> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/3)
portfolio

  Type: | Portfolio, complex content
  Subst.Gr: | may be substituted with 1 element

  Portfolio identifier
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="portfolio"/>

tradeValuationItem

  Type: | TradeValuationItem, complex content

  Zero or more trade valuation items.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeValuationItem" type="TradeValuationItem"/>

valuationSet

  Type: | ValuationSet, complex content

  The portfolio valuation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" ref="valuationSet"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.